import { CreateUserBody, UserInfo } from '@core';
import { Services } from '../app';
import { User } from '../entities/user';

export function Create(
  services: Services,
): (tracker: string, raw: CreateUserBody) => Promise<UserInfo> {
  const { userModel } = services;

  return async (tracker, raw) => {
    const user = await userModel.create(tracker, new User(raw));
    return user.Info();
  };
}
